# SPDX-License-Identifier: CC0-1.0

{ stdenv, fetchgit, dhallApps, prelude }:

stdenv.mkDerivation {
  name = "dhall-genode";
  src = fetchgit {
    url = "https://git.sr.ht/~ehmry/dhall-genode";
    rev = "472a300141766e58a68b605568eb881e0a944eca";
    sha256 = "03lxxrzyfkgf9c31ds93ndr1bl3a4rlynj377n9rhniz9xzl11y3";
  };
  DHALL_PRELUDE = prelude + "/package.dhall";
  buildCommand = ''
    export XDG_CACHE_HOME=$TMPDIR
    cp -r $src $out
    chmod +w -R $out
    echo $DHALL_PRELUDE > $out/Prelude.dhall
    find $out -type f -exec \
      ${dhallApps.dhall.program} freeze --all --inplace {} \;
  '';
}
