# SPDX-License-Identifier: CC0-1.0

{ stdenv, fetchgit, buildPackages, genode }:

stdenv.mkDerivation rec {
  pname = "sotest-producer";
  version = "0.1.1";

  nativeBuildInputs = with buildPackages; [ tup pkgconfig ];
  buildInputs = with genode; [ base os ];

  src = fetchgit {
    url = "https://gitea.c3d2.de/ehmry/genode-sotest-producer.git";
    rev = "v" + version;
    sha256 = "0i51acml79m4drzz1r8jdysr9jklll5xllgw073qcrk407kff5qv";
  };

  configurePhase = ''
    # Scan repository and generate script
    tup init
    tup generate buildPhase.sh
  '';

  buildPhase = ''
    pushd .
    set -v
    source buildPhase.sh
    set +v
    popd
  '';

  installPhase = "cp -r out $out";

  meta = with stdenv.lib; {
    license = "LicenseRef-Genode.txt";
    maintainers = [ maintainers.ehmry ];
  };

}
