-- SPDX-License-Identifier: CC0-1.0

let Genode = env:DHALL_GENODE

let manifest = env:MANIFEST

let test = manifest.solo5-tests.bin.solo5-test_time

in  { config =
        Genode.Init::{
        , children =
            toMap
              { solo5 =
                  Genode.Init.Start::{
                  , binary = test.mapKey
                  , exitPropagate = True
                  , resources = { caps = 256, ram = Genode.units.MiB 3 }
                  , routes =
                      [ Genode.ServiceRoute.parent "Timer"
                      , Genode.ServiceRoute.child "Rtc" "clock"
                      ]
                  }
              , clock =
                  Genode.Init.Start::{
                  , binary = "rtc_drv"
                  , provides = [ "Rtc" ]
                  , routes = [ Genode.ServiceRoute.parent "IO_PORT" ]
                  }
              }
        }
    , rom = Genode.Boot.toRomPaths [ test, manifest.os.bin.rtc_drv ]
    }
